Subject: Re: [PATCH 2/2] Prefix List and O/M flags against 2.4.21

From: "David S. Miller" <[email-masked]>
Date: Sun, 20 Jul 2003 21:46:53 -0700

On Mon, 21 Jul 2003 05:55:04 +0400 (MSD)
[email-masked] wrote:

> The patch is not quite complete: except for those two questions,
> I forgot to add MTU truncated to its IPv4 value, did nothing
> for multicast things (I still cannot figure out, what information is
> really useful) and did not add active notifications which would be good
> to be made after sysctl parameters are changed.

Please let us to use some portable types instead of
'int' :-)  It is just minor nit, I otherwise like the
whole idea.

Why are we limited to arrays of 'u32' or whatever?  RTA_PUT() can
place arbitrary things into the message and length is given.